org.eclipse.swt.accessibility

## Class AccessibleTableCellEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.accessibility.AccessibleTableCellEvent

    public class AccessibleTableCellEvent
    extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleTableCell messages to an accessible object.

Since:
  1.4
See Also:
  `AccessibleTableCellListener`, `AccessibleTableCellAdapter`

### Field Summary

Fields
`Accessible` `accessible`
`Accessible[]` `accessibles`
`int` `count`
`int` `index`
`boolean` `isSelected`

### Constructor Summary

Constructors
Constructor and Description
`AccessibleTableCellEvent(java.lang.Object source)` Constructs a new instance of this class.

### Method Summary

Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### accessible

    public Accessible accessible

#### accessibles

    public Accessible[] accessibles

#### isSelected

    public boolean isSelected

#### count

    public int count

#### index

    public int index

### Constructor Detail

#### AccessibleTableCellEvent

    public AccessibleTableCellEvent(java.lang.Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0